## org.apache.aries.subsystem.core.internal
Class RawSubsystemResource

    java.lang.Object
      org.apache.aries.subsystem.core.internal.RawSubsystemResource

All Implemented Interfaces:
  org.osgi.resource.Resource

    public class RawSubsystemResource

extends Object
implements org.osgi.resource.Resource

Constructor Summary
`RawSubsystemResource(File file)`
`RawSubsystemResource(org.apache.aries.util.filesystem.IDirectory idir)`
`RawSubsystemResource(String location, org.apache.aries.util.filesystem.IDirectory content)`

Method Summary
`boolean` `equals(Object o)`
`List<org.osgi.resource.Capability>` `getCapabilities(String namespace)`
`DeploymentManifest` `getDeploymentManifest()`
`long` `getId()`
`Repository` `getLocalRepository()`
`Location` `getLocation()`
`List<org.osgi.resource.Requirement>` `getRequirements(String namespace)`
`Collection<org.osgi.resource.Resource>` `getResources()`
`SubsystemManifest` `getSubsystemManifest()`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RawSubsystemResource

    public RawSubsystemResource(String location,
                                org.apache.aries.util.filesystem.IDirectory content)
                         throws URISyntaxException,
                                IOException,
                                org.osgi.service.resolver.ResolutionException,
                                org.apache.aries.application.modelling.ModellerException

Throws:
  `URISyntaxException`
  `IOException`
  `org.osgi.service.resolver.ResolutionException`
  `org.apache.aries.application.modelling.ModellerException`

### RawSubsystemResource

    public RawSubsystemResource(File file)
                         throws IOException,
                                URISyntaxException,
                                org.osgi.service.resolver.ResolutionException

Throws:
  `IOException`
  `URISyntaxException`
  `org.osgi.service.resolver.ResolutionException`

### RawSubsystemResource

    public RawSubsystemResource(org.apache.aries.util.filesystem.IDirectory idir)
                         throws IOException,
                                URISyntaxException,
                                org.osgi.service.resolver.ResolutionException

Throws:
  `IOException`
  `URISyntaxException`
  `org.osgi.service.resolver.ResolutionException`

Method Detail

### equals

    public boolean equals(Object o)

  Specified by:
    `equals` in interface `org.osgi.resource.Resource`
  Overrides:
    `equals` in class `Object`

### getCapabilities

    public List<org.osgi.resource.Capability> getCapabilities(String namespace)

  Specified by:
    `getCapabilities` in interface `org.osgi.resource.Resource`

### getDeploymentManifest

    public DeploymentManifest getDeploymentManifest()

### getId

    public long getId()

### getLocalRepository

    public Repository getLocalRepository()

### getLocation

    public Location getLocation()

### getRequirements

    public List<org.osgi.resource.Requirement> getRequirements(String namespace)

  Specified by:
    `getRequirements` in interface `org.osgi.resource.Resource`

### getResources

    public Collection<org.osgi.resource.Resource> getResources()

### getSubsystemManifest

    public SubsystemManifest getSubsystemManifest()

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `org.osgi.resource.Resource`
  Overrides:
    `hashCode` in class `Object`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.